[SOLVED] Kill-ryzen script doesn't work on Liquorix
Mono
Status: Contributor
Joined: 21 Jun 2012
Posts: 115
Reply Quote
This script is used to test whether your system has the compilation segfault hardware issues associated with Ryzen CPUs. For some reason it doesn't work on the current Liquorix:

github.com/suaefar/ryzen-test/issues/11
Back to top
damentz
Status: Assistant
Joined: 09 Sep 2008
Posts: 1117
Reply Quote
I replied to the github issue, github.com/suaefar/ryzen-test/issues/11#issuecomment-326753010.

Seems that the original developer added discard to their mount command for a ram disk. This should normally fail, but for some reason on Ubuntu's kernel, it's silently ignored.

Just remove the "discard" option from the mount command and the script runs as expected.

:: Code ::
diff --git a/kill-ryzen.sh b/kill-ryzen.sh
index 0ac634a..409bfb6 100755
--- a/kill-ryzen.sh
+++ b/kill-ryzen.sh
@@ -17,7 +17,7 @@ if $USE_RAMDISK; then
   sudo modprobe zram num_devices=1 || exit 1
   echo 64G | sudo tee /sys/block/zram0/disksize || exit 1
   sudo mke2fs -q -m 0 -b 4096 -O sparse_super -L zram /dev/zram0 || exit 1
-  sudo mount -o relatime,nosuid,discard /dev/zram0 /mnt/ramdisk/ || exit 1
+  sudo mount -o relatime,nosuid /dev/zram0 /mnt/ramdisk/ || exit 1
   sudo mkdir -p /mnt/ramdisk/workdir || exit 1
   sudo chmod 777 /mnt/ramdisk/workdir || exit 1
   cp buildloop.sh /mnt/ramdisk/workdir/buildloop.sh || exit 1


EDIT: Also submitted pull request: github.com/suaefar/ryzen-test/pull/12

However, the developer doesn't seem eager to fix bugs if they don't affect Ubuntu, so I'm not optimistic it'll get merged.

EDIT 2: Pull request was rejected, discard is supported by zram. After some investigating, found that the filesystem Debian is creating doesn't support discard. Submitted new pull request forcing ext4 filesystem creation: github.com/suaefar/ryzen-test/pull/13
Back to top
damentz
Status: Assistant
Joined: 09 Sep 2008
Posts: 1117
Reply Quote
@Mono,

The fix to filesystem generation was merged. This issue should be resolved.
Back to top
Mono
Status: Contributor
Joined: 21 Jun 2012
Posts: 115
Reply Quote
Thanks
Back to top
Mono
Status: Contributor
Joined: 21 Jun 2012
Posts: 115
Reply Quote
The kernels I tested were not Ubuntu kernels, they were both kernels compiled directly from the Torvalds repository, 4.12-rc7 and 4.13-rc5. So while a fix was found, there must be something specific about Liquorix that caused the bug to occur.

EDIT: Nevermind, I see that you have it all figured out.
Back to top
Display posts from previous:   

All times are GMT - 8 Hours